package org.jeecg.ctop.finance.policy.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.ctop.finance.policy.entity.CwjsSaleAssistantInfo;

/**
 * aaa
 * @author jeecg-boot
 * 2021-10-18
 * @version V1.0
 */
public interface CwjsSaleAssistantInfoMapper extends BaseMapper<CwjsSaleAssistantInfo> {

    /**
     * 根据用户部门查看该部门下的人员
     * @param userId
     * @return
     */
    List <CwjsSaleAssistantInfo> getSaleListByUserDepart(String userId);

    /**
     * 查询对应销售
     * @param userId
     * @return
     */
    List <CwjsSaleAssistantInfo> getCwSaleNameList(String userId);

    List <CwjsSaleAssistantInfo> selectCwSaleName(String userId);

    /**
     * 查询对应销售助理
     * @param userId
     * @return
     */
    List <CwjsSaleAssistantInfo> getCwAssistantNameList(String userId);

    List <CwjsSaleAssistantInfo> getAssistantList(String userId);

    List <String> getCwAssistantNameListPolicy(String userId);
}
